Package org.eclipse.mat.ui.util

# Class PaneState

java.lang.Object
org.eclipse.mat.ui.util.PaneState

public class PaneState extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PaneState.PaneType`

## Constructor Summary

Constructors
Constructor
Description
`PaneState(PaneState.PaneType type, PaneState originator, String identifier, boolean reproducable)`

## Method Summary

Modifier and Type
Method
Description
`List<PaneState>`
`getChildren()`
`String`
`getIdentifier()`
`Image`
`getImage()`
`PaneState`
`getParentPaneState()`
`PaneState.PaneType`
`getType()`
`boolean`
`hasActiveChildren()`
`boolean`
`hasChildren()`
`boolean`
`isActive()`
`boolean`
`isReproducable()`
`void`
`setActive(boolean active)`
`void`
`setImage(Image image)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PaneState

public PaneState(PaneState.PaneType type, PaneState originator, String identifier, boolean reproducable)

## Method Details

### getParentPaneState

public PaneState getParentPaneState()

### getIdentifier

public String getIdentifier()

### isReproducable

public boolean isReproducable()

### getChildren

public List<PaneState> getChildren()

### getImage

public Image getImage()

### setImage

public void setImage(Image image)

### isActive

public boolean isActive()

### setActive

public void setActive(boolean active)

### getType

public PaneState.PaneType getType()

### hasChildren

public boolean hasChildren()

### hasActiveChildren

public boolean hasActiveChildren()